Subject: Re: [tram] FW: New Version Notification for draft-reddy-tram-turn-third-party-authz-01.txt

From: "Tirumaleswar Reddy (tireddy)" <[email-masked]>
Date: Fri, 25 Apr 2014 14:58:02 +0000

> -----Original Message-----
> From: tram [mailto:[email-masked]] On Behalf Of Brandon Williams
> Sent: Thursday, April 24, 2014 8:34 PM
> To: [email-masked]
> Subject: Re: [tram] FW: New Version Notification for draft-reddy-tram-turn-
> third-party-authz-01.txt
> 
> One other comment that I have about the proposal is that I think the mac for the
> token should cover the encrypted token, rather than the encryption covering the
> mac. So, this ...
> 
>           struct {
>               ushort key_length;
>               opaque mac_key[key_length];
>               opaque timestamp[8];
>               long   lifetime;
>               opaque mac[16];
>           } token;
> 
> would become this ...
> 
>           struct {
>               opaque {
>                   ushort key_length;
>                   opaque mac_key[key_length];
>                   opaque timestamp[8];
>                   long   lifetime;
>               } encrypted_block;
>               opaque mac[16];
>           } token;
> 
> This may increase the size of the resulting token, but only by a small amount (at
> most 16 bytes).

Works for me, will update the token format in the next revision.

Thanks and Regards,
-Tiru

> 
> --Brandon
> 
> On 04/23/2014 10:57 AM, Tirumaleswar Reddy (tireddy) wrote:
> > Revised draft-reddy-tram-turn-third-party-authz has been published. Major
> change is that it’s now using self-contained token and addresses the comments
> received from the WG.
> > Further comments and suggestions are welcome.
> >
> > Thanks and Regards,
> > -Authors
> >
> > -----Original Message-----
> > From: [email-masked] [mailto:[email-masked]]
> > Sent: Wednesday, April 23, 2014 7:40 PM
> > To: Ram Mohan R (rmohanr); Prashanth Patil (praspati); Tirumaleswar
> > Reddy (tireddy); Prashanth Patil (praspati); Justin Uberti; Justin
> > Uberti; Tirumaleswar Reddy (tireddy); Ram Mohan R (rmohanr)
> > Subject: New Version Notification for
> > draft-reddy-tram-turn-third-party-authz-01.txt
> >
> >
> > A new version of I-D, draft-reddy-tram-turn-third-party-authz-01.txt
> > has been successfully submitted by Tirumaleswar Reddy and posted to the IETF
> repository.
> >
> > Name:		draft-reddy-tram-turn-third-party-authz
> > Revision:	01
> > Title:		TURN Extension for Third Party Authorization
> > Document date:	2014-04-23
> > Group:		Individual Submission
> > Pages:		14
> > URL:            http://www.ietf.org/internet-drafts/draft-reddy-tram-turn-third-
> party-authz-01.txt
> > Status:         https://datatracker.ietf.org/doc/draft-reddy-tram-turn-third-
> party-authz/
> > Htmlized:       http://tools.ietf.org/html/draft-reddy-tram-turn-third-party-
> authz-01
> > Diff:           http://www.ietf.org/rfcdiff?url2=draft-reddy-tram-turn-third-party-
> authz-01
> >
> > Abstract:
> >     This document proposes the use of OAuth to obtain and validate
> >     ephemeral tokens that can be used for TURN authentication.  The usage
> >     of ephemeral tokens ensure that access to a TURN server can be
> >     controlled even if the tokens are compromised, as is the case in
> >     WebRTC where TURN credentials must be specified in Javascript.
> >
> >
> >
> >
> > Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> >
> > The IETF Secretariat
> >
> > _______________________________________________
> > tram mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/tram
> >
> 
> --
> Brandon Williams; Senior Principal Software Engineer Emerging Products
> Engineering; Akamai Technologies Inc.
> 
> _______________________________________________
> tram mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/tram